summaryrefslogtreecommitdiff
path: root/tests/pcre-o
diff options
context:
space:
mode:
authorNorihiro Tanaka <noritnk@kcn.ne.jp>2014-10-24 13:33:04 -0700
committerPaul Eggert <eggert@cs.ucla.edu>2014-10-24 13:35:19 -0700
commit3c6162e7707099967a9a9844f9071b976cde5452 (patch)
tree8d71d1e5ebbcfcebc84429910283f36dc0ab90fe /tests/pcre-o
parent16f6616acaa4fcf44edbc3b56ca10fc06b07cf25 (diff)
downloadgrep-3c6162e7707099967a9a9844f9071b976cde5452.tar.gz
tests: add test for grep -P fix
* tests/pcre-o: New test for this change. * tests/Makefile.am (TESTS): Add it.
Diffstat (limited to 'tests/pcre-o')
-rwxr-xr-xtests/pcre-o17
1 files changed, 17 insertions, 0 deletions
diff --git a/tests/pcre-o b/tests/pcre-o
new file mode 100755
index 00000000..3d0677ca
--- /dev/null
+++ b/tests/pcre-o
@@ -0,0 +1,17 @@
+#! /bin/sh
+# Ensure that grep -oP doesn't cause internal error at match.
+#
+# Copyright (C) 2014 Free Software Foundation, Inc.
+#
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+require_pcre_
+
+fail=0
+
+echo ab | grep -oP 'a' || fail=1
+
+Exit $fail